EXP(3Cg)

NAME
exp - returns the base-e exponential of scalars and vectors

SYNOPSIS
  float  exp(float a);
  float1 exp(float1 a);
  float2 exp(float2 a);
  float3 exp(float3 a);
  float4 exp(float4 a);

  half   exp(half a);
  half1  exp(half1 a);
  half2  exp(half2 a);
  half3  exp(half3 a);
  half4  exp(half4 a);

  fixed  exp(fixed a);
  fixed1 exp(fixed1 a);
  fixed2 exp(fixed2 a);
  fixed3 exp(fixed3 a);
  fixed4 exp(fixed4 a);

PARAMETERS

a   Vector or scalar of which to determine the base-e exponential. The value e is approximately 2.71828182845904523536.

DESCRIPTION
Returns the base-e exponential a.

For vectors, the returned vector contains the base-e exponential of each element of the input vector.

REFERENCE IMPLEMENTATION
  float3 exp(float3 a)
  {
    float3 rv;
    int i;

    for (i=0; i<3; i++) {
      rv[i] = exp(a[i]);  // this is the ANSI C standard library exp()
    }
    return rv;
  }

exp is typically implemented with either a native base-2 exponentional instruction or pow.

PROFILE SUPPORT
exp is fully supported in all profiles unless otherwise specified.

Support in the fp20 is limited to constant compile-time evaluation.

SEE ALSO
exp2, log, pow